From ca38822407c53760bf8f04907c42d588b5f5158d Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 21:22:26 +0200
Subject: [PATCH 10/12] Enable external libraries in case of configure clash

If configure arguments define a set of options that cannot be fulfilled
by in-tree libraries, don't issue an error any more, but use external
library instead.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 m4/ul.m4 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/m4/ul.m4 b/m4/ul.m4
index fb0dd85..50ea77a 100644
--- a/m4/ul.m4
+++ b/m4/ul.m4
@@ -271,7 +271,9 @@ AC_DEFUN([UL_REQUIRES_BUILD], [
     yes:yes)
       [build_]suffix=yes ;;
     yes:*)
-      AC_MSG_ERROR([$2 is needed to build $1]);;
+      AC_MSG_WARN([$2 disabled; $1 enabled; using external $2])
+      [ext_]$2=yes
+      [build_]suffix=yes ;;
     check:yes)
       [build_]suffix=yes ;;
     check:*)
-- 
2.4.5

